Package com.arms.api.util.filerepositorylog.model

## Class FileRepositoryLogEntity

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity
  - - com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity
    - - com.arms.egovframework.javaservice.treeframework.model.TreeSearchEntity
      - - com.arms.egovframework.javaservice.treeframework.model.TreeLogBaseEntity
        - - com.arms.api.util.filerepositorylog.model.FileRepositoryLogEntity

- All Implemented Interfaces:
    `java.io.Serializable`

      @Entity
      public class FileRepositoryLogEntity
      extends TreeLogBaseEntity
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileRepositoryLogEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getC_id()` |
    `java.lang.String` | `getContentType()` |
    `java.lang.Boolean` | `getCopyBooleanValue()` |
    `java.lang.String` | `getDelete_type()` |
    `java.lang.String` | `getDelete_url()` |
    `java.lang.String` | `getFileName()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPhysicalName()` |
    `java.lang.String` | `getServerSubPath()` |
    `java.lang.Long` | `getSize()` |
    `java.lang.String` | `getThumbnailUrl()` |
    `java.lang.String` | `getUrl()` |
    `void` | `setContentType​(java.lang.String contentType)` |
    `void` | `setCopyBooleanValue​(java.lang.Boolean copyBooleanValue)` |
    `void` | `setDelete_type​(java.lang.String delete_type)` |
    `void` | `setDelete_url​(java.lang.String delete_url)` |
    `<T extends TreeSearchEntity> void` | `setFieldFromNewInstance​(T paramInstance)` |
    `void` | `setFileName​(java.lang.String fileName)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setPhysicalName​(java.lang.String physicalName)` |
    `void` | `setServerSubPath​(java.lang.String serverSubPath)` |
    `void` | `setSize​(java.lang.Long size)` |
    `void` | `setThumbnailUrl​(java.lang.String thumbnailUrl)` |
    `void` | `setUrl​(java.lang.String url)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeSearchEntity

      `getCriterions, getMembersCriterions, getOrder, getProjection, getWhereCount, getWhereMap, setOrder, setWhere, setWhere, setWhere, setWhereBetween, setWhereIn, setWhereIn, setWhereIp, setWhereLike, setWhereOr, setWhereOr`

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity

      `getFirstIndex, getLastIndex, getPageIndex, getPageSize, getPageUnit, getPaginationInfo, getRecordCountPerPage, getSearchCondition, getSearchKeyword, getSearchKeywordFrom, getSearchKeywordTo, getSearchUseYn, setFirstIndex, setLastIndex, setPageIndex, setPageSize, setPageUnit, setPaginationInfo, setRecordCountPerPage, setSearchCondition, setSearchKeyword, setSearchKeywordFrom, setSearchKeywordTo, setSearchUseYn, toString`

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity

      `getAjaxMessage, getAttr, getC_idsByChildNodeFromNodeById, getC_left, getC_level, getC_parentid, getC_position, getC_right, getC_title, getC_type, getChildcount, getCopy, getData, getFixCopyId, getFixCopyPosition, getId, getIdif, getIdifLeft, getIdifRight, getLdif, getMultiCounter, getNodeById, getRef, getRightPositionFromNodeByRef, getSearchStr, getSpaceOfTargetNode, getState, getStatus, isCopied, setAjaxMessage, setC_id, setC_idsByChildNodeFromNodeById, setC_left, setC_level, setC_parentid, setC_position, setC_right, setC_title, setC_type, setChildcount, setCopied, setCopy, setData, setFixCopyId, setFixCopyPosition, setId, setIdif, setIdifLeft, setIdifRight, setLdif, setMultiCounter, setNodeById, setRef, setRightPositionFromNodeByRef, setSearchStr, setSpaceOfTargetNode, setState, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileRepositoryLogEntity

          public FileRepositoryLogEntity()

  - ### Method Detail

    - #### getC_id

          public java.lang.Long getC_id()

      Overrides:
        `getC_id` in class `TreeBaseEntity`

    - #### getFileName

          public java.lang.String getFileName()

    - #### setFileName

          public void setFileName​(java.lang.String fileName)

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType​(java.lang.String contentType)

    - #### getServerSubPath

          public java.lang.String getServerSubPath()

    - #### setServerSubPath

          public void setServerSubPath​(java.lang.String serverSubPath)

    - #### getPhysicalName

          public java.lang.String getPhysicalName()

    - #### setPhysicalName

          public void setPhysicalName​(java.lang.String physicalName)

    - #### getSize

          public java.lang.Long getSize()

    - #### setSize

          public void setSize​(java.lang.Long size)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl​(java.lang.String url)

    - #### getThumbnailUrl

          public java.lang.String getThumbnailUrl()

    - #### setThumbnailUrl

          public void setThumbnailUrl​(java.lang.String thumbnailUrl)

    - #### getDelete_url

          public java.lang.String getDelete_url()

    - #### setDelete_url

          public void setDelete_url​(java.lang.String delete_url)

    - #### getDelete_type

          public java.lang.String getDelete_type()

    - #### setDelete_type

          public void setDelete_type​(java.lang.String delete_type)

    - #### getCopyBooleanValue

          public java.lang.Boolean getCopyBooleanValue()

      Overrides:
        `getCopyBooleanValue` in class `TreeLogBaseEntity`

    - #### setCopyBooleanValue

          public void setCopyBooleanValue​(java.lang.Boolean copyBooleanValue)

      Overrides:
        `setCopyBooleanValue` in class `TreeLogBaseEntity`

    - #### setFieldFromNewInstance

          public <T extends TreeSearchEntity> void setFieldFromNewInstance​(T paramInstance)

      Overrides:
        `setFieldFromNewInstance` in class `TreeLogBaseEntity`